Subject: Again: Cygwin SSHD on Win2000 - only ONE login possible
From: Tino Lange <[email-masked]>
To: [email-masked]
Date: Fri, 15 Nov 2002 12:34:27 +0100

Hi!

Since noone helps me I have to search for solutions myself:

It seems that the sshd binds only to the local adress after the first login.

When I start sshd for the first time it listens on all available 
interfaces, i. e. loopback (localhost) and its IP Adress 192.168.1.4.
So I can connect from another computer.

After the first login it binds only to localhost - I can still use ssh 
to the same machine (or telnet localhost 22) - but not from outside.

After a "net stop sshd / net start sshd" it again listens on both 
devices - one time (!) as before.

I found a workaround for me, I explicitely told ssh to listen on 
192.168.1.4 in sshd_config, now it works as expected although I lost the 
  "local" ssh possibility - but that's quite useless.

But anyhow - it seems to be a bug, or?

BR

Tino

-------------

Tino Lange wrote:

> Hi again!
> 
> Today I updated to the new login & Co - hoping that it maybe solves my
> problem with the sshd on Win 2000.
> But the problem is still the same: I can only login *once* - that's it.
> Then I have to restart the sshd service (which was still running, not
> gone with the first login)
> 
> Does really noone have an idea?
> 
> Thanks!
> 
> Tino
> 
> ---------------
> 
> Tino Lange wrote:
> 
>>Hi!
>>
>>I have just installed the latest Cygwin with the lastest SSH (versions
>>from today) and prepared my machine as a ssh server with "ssh-host-config".
>>
>>I'm using Privilege Separation and the sshd user, just like the script
>>proposes.
>>
>>It works fine, but only for the *very first* login.
>>After one sucessful login the sshd process is still running but it's not
>>possible to connect to port 22 anymore - it seems there's noone
>>listening again.
>>(Even while I'm logged in I cannot connect twice)
>>
>>At the moment I can only login once, then restart the service (net stop
>>/ net start).
>>
>>Any ideas?
>>What am I doing wrong?
>>
>>Thanks!
>>
>>Tino

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/